curl -X DELETE https://api.thinnest.ai/webhooks/endpoints/{endpoint_id} \
-H "Authorization: Bearer $THINNESTAI_API_KEY"
import requests
url = "https://api.thinnest.ai/webhooks/endpoints/{endpoint_id}"
headers = {
"Authorization": "Bearer " + "YOUR_THINNESTAI_API_KEY",
}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch("https://api.thinnest.ai/webhooks/endpoints/{endpoint_id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer " + "YOUR_THINNESTAI_API_KEY",
},
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://api.thinnest.ai/webhooks/endpoints/{endpoint_id}", nil)
req.Header.Set("Authorization", "Bearer YOUR_THINNESTAI_API_KEY")
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"status": "success",
"endpoint_id": 1
}
Webhooks
Delete Webhook Endpoint
Delete a webhook endpoint and all its delivery history.
DELETE
/
webhooks
/
endpoints
/
{endpoint_id}
curl -X DELETE https://api.thinnest.ai/webhooks/endpoints/{endpoint_id} \
-H "Authorization: Bearer $THINNESTAI_API_KEY"
import requests
url = "https://api.thinnest.ai/webhooks/endpoints/{endpoint_id}"
headers = {
"Authorization": "Bearer " + "YOUR_THINNESTAI_API_KEY",
}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch("https://api.thinnest.ai/webhooks/endpoints/{endpoint_id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer " + "YOUR_THINNESTAI_API_KEY",
},
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://api.thinnest.ai/webhooks/endpoints/{endpoint_id}", nil)
req.Header.Set("Authorization", "Bearer YOUR_THINNESTAI_API_KEY")
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"status": "success",
"endpoint_id": 1
}
curl -X DELETE https://api.thinnest.ai/webhooks/endpoints/{endpoint_id} \
-H "Authorization: Bearer $THINNESTAI_API_KEY"
import requests
url = "https://api.thinnest.ai/webhooks/endpoints/{endpoint_id}"
headers = {
"Authorization": "Bearer " + "YOUR_THINNESTAI_API_KEY",
}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch("https://api.thinnest.ai/webhooks/endpoints/{endpoint_id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer " + "YOUR_THINNESTAI_API_KEY",
},
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://api.thinnest.ai/webhooks/endpoints/{endpoint_id}", nil)
req.Header.Set("Authorization", "Bearer YOUR_THINNESTAI_API_KEY")
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
Path Parameters
Webhook endpoint ID
Response
{
"status": "success",
"endpoint_id": 1
}
⌘I

